/**
 * \file 	led.c
 * \brief	
 * \details 
 *
 * $Id: led.c,v 1.0 2014年5月25日 下午3:41:09 reille Exp $
 */

#include "bsp.h"

#define GPKCON0		(*(volatile unsigned long *)0x7F008800)
#define GPKDAT		(*(volatile unsigned long *)0x7F008808)

void led_init(void)
{
	GPKCON0 = 0x11110000;	// 配置GPK4-7为输出功能
	GPKDAT  = 0x000000f0;	// 所有LED熄灭
}

void led_set(u_int led, bool on)
{
	if (LED1 == led || LED2 == led || LED3 == led || LED4 == led) {
		on ? (GPKDAT |= led) : (GPKDAT &= ~(led));
	}
}

//-------------------------------------------------------------------------
// End of file
